public class Example6_Calendar {
	public static void main(String[] args) {
		int year = 2013;
		int minimumTemperature = 20;
		/*
		 * This is an object type that I created to read
		 * the temperature data from the weather_data.csv file
		 * We will understand how that file works, later on.
		 */
		WeatherData wd = new WeatherData();
		/*
		 * The following two lines read the data we need from the
		 * weather_data.csv file. Be patient, I will explain to you
		 * how I did it later in class.
		 * You must learn how to walk before you can learn how to run.
		 */
		double[] temperaturePerMonth = wd.getMonthlyTemperature(year);
		int[] daysAboveMinimumPerMonth = wd.getMonthlyDaysAboveTemperature(minimumTemperature,year);
		/* if you want to get all the historical data, you can set a start and end year
		 * wd.getMonthlyTemperature(1942,2013);
		 * wd.getMonthlyDaysAboveTemperature(15.0,1942,2013);
		 */
		
		
		/*
		 * THIS IS WHAT YOU NEED TO UNDERSTAND 
		 */
		String[] month_names = {"January", "February", "March",
				                "April", "May", "June",
				                "July", "August", "September",
				                "October", "November", "December"};
		
		
		for (int month=0; month<12; month++){
			System.out.println("The average temperature in "+
		                        month_names[month]+" "+year+
		                        " is: "+temperaturePerMonth[month]);
		}
		
		for (int month=0; month<12; month++){
			System.out.println("The number of days with temperature above "+
		                       minimumTemperature+" in "+month_names[month]+
		                       " "+year+" is: "+daysAboveMinimumPerMonth[month]);
		}
		
		/*
		 * WHAT YOU NEED TO UNDERSTAND ENDS HERE
		 */

		wd.close();
	}
}